Subject: Re: [SWIPL] SWIPL - winnt -v- win98 and qsave

From: Jan Wielemaker <[email-masked]>
Date: Wed, 26 Sep 2001 16:26:25 +0200

On Mon, 20 Aug 2001, Chris R Roast wrote:
>I've an SWI prolog based tool with an XPCE GUI. The tool saves itself using:
>
>  qsave_program(x,[goal(top),autoload(true),op(save)])
>
>On WinNT this gives x.exe which run's fine. However, when run and save on
>Win98, the x.exe generates:
>
>[FATAL ERROR 
>loadPart(): QLF format error at index = 112]

Interesting.  Anyone else with this problem?  I don't have a machine
with ready-to-run debugging environment for Windows 98 at hand, so
I like to know a bit more before digging.  If installation paths are
the same, the x.exe should be the same.  Is that true?  Does the
NT x.exe run on Windows 98?  The other way around?

	Thanks for any pointers

		--- Jan